summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-09-12 09:37:21 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-09-12 11:30:07 +0000
commit69d6b504af2ec149480459b5798b22124fbd4b3a (patch)
tree777e45d50a88a4505f007ed2e74fe8e4d01a467d
parentAdding ddns-client commands. (diff)
downloadnetwork-tools-69d6b504af2ec149480459b5798b22124fbd4b3a.tar.xz
network-tools-69d6b504af2ec149480459b5798b22124fbd4b3a.zip
Adding ddns-client isc-dhcp hook.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xddns-client/share/isc-dhcp/ddns-client22
1 files changed, 22 insertions, 0 deletions
diff --git a/ddns-client/share/isc-dhcp/ddns-client b/ddns-client/share/isc-dhcp/ddns-client
new file mode 100755
index 00000000..eed9229f
--- /dev/null
+++ b/ddns-client/share/isc-dhcp/ddns-client
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+/usr/bin/ddns-client update > /dev/null 2>&1